Freeciv-3.1: tab_extras Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
tab_extras Class Reference

`#include <tab_extras.h>`

Inheritance diagram for tab_extras:

## Public Member Functions

| tab_extras (ruledit_gui *ui_in)
void | refresh ()

## Private Slots

void | name_given ()
void | select_extra ()
void | add_now ()
void | delete_now ()
void | edit_now ()
void | same_name_toggle (bool checked)
void | edit_reqs ()
void | edit_effects ()

## Private Member Functions

void | update_extra_info (struct extra_type *pextra)
bool | initialize_new_extra (struct extra_type *pextra)

## Private Attributes

ruledit_gui * | ui
QLineEdit * | name
QLineEdit * | rname
QListWidget * | extra_list
QCheckBox * | same_name
struct extra_type * | selected

## Detailed Description

Definition at line 30 of file tab_extras.h.

## Constructor & Destructor Documentation

## ◆ tab_extras()

tab_extras::tab_extras | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_extras object

Definition at line 46 of file tab_extras.cpp.

## Member Function Documentation

## ◆ add_now

void tab_extras::add_now | ( |  | ) |

privateslot

User requested new extra

Definition at line 249 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ delete_now

void tab_extras::delete_now | ( |  | ) |

privateslot

User requested extra deletion

Definition at line 210 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ edit_effects

void tab_extras::edit_effects | ( |  | ) |

privateslot

User wants to edit effects

Definition at line 308 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ edit_now

void tab_extras::edit_now | ( |  | ) |

privateslot

User requested extra edit dialog

Definition at line 324 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ edit_reqs

void tab_extras::edit_reqs | ( |  | ) |

privateslot

User wants to edit reqs

Definition at line 297 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ initialize_new_extra()

bool tab_extras::initialize_new_extra | ( | struct extra_type * | pextra | ) |

private

Initialize new extra for use.

Definition at line 234 of file tab_extras.cpp.

Referenced by add_now().

## ◆ name_given

void tab_extras::name_given | ( |  | ) |

privateslot

User entered name for the extra

Definition at line 178 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ refresh()

void tab_extras::refresh | ( |  | ) |

Refresh the information.

Definition at line 120 of file tab_extras.cpp.

Referenced by add_now(), delete_now(), ruledit_gui::launch_now(), name_given(), and tab_extras().

## ◆ same_name_toggle

void tab_extras::same_name_toggle | ( | bool | checked | ) |

privateslot

Toggled whether rule_name and name should be kept identical

Definition at line 286 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ select_extra

void tab_extras::select_extra | ( |  | ) |

privateslot

User selected extra from the list.

Definition at line 163 of file tab_extras.cpp.

Referenced by tab_extras().

## ◆ update_extra_info()

void tab_extras::update_extra_info | ( | struct extra_type * | pextra | ) |

private

Update info of the extra

Definition at line 135 of file tab_extras.cpp.

Referenced by add_now(), delete_now(), select_extra(), and tab_extras().

## Field Documentation

## ◆ extra_list

QListWidget* tab_extras::extra_list

private

Definition at line 45 of file tab_extras.h.

Referenced by refresh(), select_extra(), and tab_extras().

## ◆ name

QLineEdit* tab_extras::name

private

Definition at line 43 of file tab_extras.h.

Referenced by name_given(), same_name_toggle(), tab_extras(), and update_extra_info().

## ◆ rname

QLineEdit* tab_extras::rname

private

Definition at line 44 of file tab_extras.h.

Referenced by name_given(), same_name_toggle(), tab_extras(), and update_extra_info().

## ◆ same_name

QCheckBox* tab_extras::same_name

private

Definition at line 46 of file tab_extras.h.

Referenced by name_given(), tab_extras(), and update_extra_info().

## ◆ selected

struct extra_type* tab_extras::selected

private

Definition at line 48 of file tab_extras.h.

Referenced by delete_now(), edit_effects(), edit_now(), edit_reqs(), name_given(), tab_extras(), and update_extra_info().

## ◆ ui

ruledit_gui* tab_extras::ui

private

Definition at line 39 of file tab_extras.h.

Referenced by delete_now(), edit_effects(), edit_now(), edit_reqs(), name_given(), and tab_extras().